/***************************************************************
  Klondike for Gameboy
****************************************************************
  Written by Harold Toler (herg@bigfoot.com)
  August 18, 2000
***************************************************************/

#define DEF_C0 32767
#define DEF_C1 21140
#define DEF_C2 10570
#define DEF_C3 0

#define BLK_C0 32767
#define BLK_C1 21140
#define BLK_C2 10570
#define BLK_C3 0

#define RED_C0 32767
#define RED_C1 5305
#define RED_C2 3188
#define RED_C3 0

#define LBLK_C0 32767
#define LBLK_C1 30653
#define LBLK_C2 27482
#define LBLK_C3 24311

#define LRED_C0 32767
#define LRED_C1 26430
#define LRED_C2 24317
#define LRED_C3 24311

#define BKG_C0 backgrnd_dataCGBPal0c0
#define BKG_C1 backgrnd_dataCGBPal0c1
#define BKG_C2 backgrnd_dataCGBPal0c2
#define BKG_C3 backgrnd_dataCGBPal0c3

#define SIGN_C0 sign_dataCGBPal0c0
#define SIGN_C1 sign_dataCGBPal0c1
#define SIGN_C2 sign_dataCGBPal0c2
#define SIGN_C3 sign_dataCGBPal0c3

#define PTR_C0 32767
#define PTR_C1 21140
#define PTR_C2 10570
#define PTR_C3 0

#define DOT_C0 32767
#define DOT_C1 21140
#define DOT_C2 10570
#define DOT_C3 0



UWORD backgroundpalette[] = 
{
  DEF_C0,DEF_C1,DEF_C2,DEF_C3,
  BLK_C0,BLK_C1,BLK_C2,BLK_C3,
  RED_C0,RED_C1,RED_C2,RED_C3,
  LBLK_C0,LBLK_C1,LBLK_C2,LBLK_C3,
  LRED_C0,LRED_C1,LRED_C2,LRED_C3,
  BKG_C0,BKG_C1,BKG_C2,BKG_C3,
  SIGN_C0,SIGN_C1,SIGN_C2,SIGN_C3,
};

UWORD spritepalette[] = 
{
  PTR_C0,PTR_C1,PTR_C2,PTR_C3,
  DOT_C0,DOT_C1,DOT_C2,DOT_C3,
};

unsigned char blackcard_color_map[] = 
{
  0x01,0x01,0x01,0x01,0x01,0x01
};

unsigned char redcard_color_map[] = 
{
  0x02,0x02,0x02,0x02,0x02,0x02
};

unsigned char liteblackcard_color_map[] = 
{
  0x03,0x03,0x03,0x03,0x03,0x03
};

unsigned char literedcard_color_map[] = 
{
  0x04,0x04,0x04,0x04,0x04,0x04
};

unsigned char background_color_map[] = 
{
  0x05,0x05,
};

unsigned char sign_color_map[] = 
{
  0x06,0x06,
};

